import type { INpcInteractionResult } from './npc-dialogue.types';
export declare class NPCDialogueScript {
    private readonly randomNumberGenerator;
    constructor(randomNumberGenerator?: () => number);
    resolveInteraction(interactionCount: number): INpcInteractionResult;
    private resolveMessage;
}
